Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1373795

Summary: SELinux is preventing udisksd from read access on the blk_file sr0
Product: [Fedora] Fedora Reporter: Andrey Motoshkov <motoskov>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: dominick.grift, dwalsh, lvrabec, mgrepl, plautrba
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: selinux-policy-3.13.1-214.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-21 00:35:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Andrey Motoshkov 2016-09-07 07:26:37 UTC
SELinux is preventing udisksd from read access on the blk_file sr0.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that udisksd should be allowed read access on the sr0 blk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'udisksd' --raw | audit2allow -M my-udisksd
# semodule -X 300 -i my-udisksd.pp

Additional Information:
Source Context                system_u:system_r:udisks2_t:s0
Target Context                system_u:object_r:removable_device_t:s0
Target Objects                sr0 [ blk_file ]
Source                        udisksd
Source Path                   udisksd
Port                          <Unknown>
Host                          dragonfly.XXX.net
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-211.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     dragonfly.XXX.net
Platform                      Linux dragonfly.XXX.net
                              4.8.0-0.rc4.git0.1.fc25.x86_64 #1 SMP Mon Aug 29
                              19:28:01 UTC 2016 x86_64 x86_64
Alert Count                   14
First Seen                    2016-09-07 00:01:56 IDT
Last Seen                     2016-09-07 10:04:57 IDT
Local ID                      4702762b-d511-4d0a-9d46-ae092e9eef81

Raw Audit Messages
type=AVC msg=audit(1473231897.246:229): avc:  denied  { read } for  pid=1933 comm="udisksd" name="sr0" dev="devtmpfs" ino=10301 scontext=system_u:system_r:udisks2_t:s0 tcontext=system_u:object_r:removable_device_t:s0 tclass=blk_file permissive=0


Hash: udisksd,udisks2_t,removable_device_t,blk_file,read

Comment 1 Fedora Update System 2016-09-15 17:21:45 UTC
selinux-policy-3.13.1-214.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f88bebc7c

Comment 2 Fedora Update System 2016-09-16 01:22:56 UTC
selinux-policy-3.13.1-214.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f88bebc7c

Comment 3 Fedora Update System 2016-09-21 00:35:49 UTC
selinux-policy-3.13.1-214.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.